Intel® oneAPI HPC Toolkit
Get help with building, analyzing, optimizing, and scaling high-performance computing (HPC) applications.
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
1826 Discussions

Asking for MPI credentials even though registered using mpiexec !!

mahesh2444
Novice
858 Views
 

I am facing a weird problem of asking for user credentials for executing a simple program even though i have registered using 

mpiexec -register

If anyone knows why this was happening to me please let me know

P.S. : I have set up the environment variable I_MPI_AUTH_METHOD = password and using 2017.3 version

 
Labels (4)
0 Kudos
11 Replies
PrasanthD_intel
Moderator
834 Views

Hi Mahesh,


Could you please check whether the credentials you have entered were valid or not? You can do that using the following command

mpiexec -validate

If this return "SUCCESS on host <hostname>" and still asks for credentials, then there is an issue from our side.

But you mentioned that you were using the 2017 version which is no longer supported. Could you please upgrade the latest version and check?

Please refer to the following link for the list of supported versions: Intel® Parallel Studio XE Supported and Unsupported Product Versions


Regards

Prasanth


mahesh2444
Novice
825 Views

I have checked it and it returned success

Also I have used 2018.3 version too but the same problem

can you please tell me which version to use

mahesh2444
Novice
813 Views

Hi @PrasanthD_intel 

Can you please look into this issue as the 2018.5 version is the most latest version that my simulation software can be able to use. 

Can you please let me know why this only happens with my Dell PC ?

Thanks

PrasanthD_intel
Moderator
742 Views

Hi Mahesh,


As mentioned in the supported and unsupported version's article only composer version of the Parallel studio is supported for 2018 versions which do not have MPI.

MPI is only included in cluster editions of Parallel Studio for which currently the support starts from 2019u5.

Anyway, as the register functionality is not working only in your dell machine, could you please tell us the Windows OS version in that machine.

Also, please upgrade to the latest version and try.


Regards

Prasanth


mahesh2444
Novice
730 Views

My dell machine uses windows 10 with update version 2004. I have tried by rolling back to previous version that is 1909 and checked it. Again it repeats same by asking for credentials even after using

mpiexec -register

to register credentials. 

Please help me as I said the simulation software is not able to use the latest update 2019.0.9.

 "Also, please upgrade to the latest version and try."

The latest version does well and it is working as I expected. From 2019.0.3 the MPI works as expected. But my simulation software is unable to recognize this latest version. I have tried it with all the 2019 versions.

Only way for solving my problem is to make the 2017 or 2018 versions to work without asking for credentials. Could you please help me in this regard as I have no choice and completely clueless why this was only happening on my DELL machine

mahesh2444
Novice
705 Views

Hi @PrasanthD_intel 

HP machine is running windows 10 education and DELL machine is using windows 10 pro (both with 1909 version).

I have checked on my friends HP laptops which are having windows 10 home (1909, 2004 update versions) and the command windows stops by blinking the cursor and didn't even asked for credentials. 

Could you please help me with this issue ? 

mahesh2444
Novice
702 Views

Hi @PrasanthD_intel 

I have used the command

mpiexec -n 1 hostname

as the reference command in all machines to check whether it was asking for credentials or not. 

mahesh2444
Novice
689 Views

Hi @PrasanthD_intel 

Could you let me know what is the following error means ?

F:\cst 20 install\AMD64>"F:\cst 20 install\AMD64\mpiexec.exe" -n=1 -host=DESKTOP-2R5PSCJ sc qc impi_hydra

[SC] OpenService FAILED 1060:

The specified service does not exist as an installed service.

I am using 2019.0.9 and this is the only command that is causing trouble in migrating to use the latest version.

Thanks

PrasanthD_intel
Moderator
685 Views

Hi Mahesh,

 

The argument to the qc should be the service name as in:

sc [<ServerName>] qc [<ServiceName>]

Here the error suggests that "The specified service does not exist as an installed service."

The service name impi_hydra is incorrect. In my system the service name for hydra process manager is impi_hydra_2019_0_9.

One way to check the service name is to open run (Win + R) and open services.msc.

There you search for your hydra version and click on the mpi hydra service in your system to get the name.

The command that worked for me was:

"C:\Program Files (x86)\IntelSWTools\mpi\2019.9.311\intel64\bin\mpiexec.exe" -n 1 sc qc impi_hydra_2019_0_9

Also please run mpivars.bat before using mpiexec.exe to set up the required environment.

 

Let us know if this works for you.

 

Regards

Prasanth

 

PrasanthD_intel
Moderator
627 Views

Hi Mahesh,


We haven'tt heard back from you, is the latest version working for you?

Let us know if you still face the credentials issue in the latest version.


Regards

Prasanth


PrasanthD_intel
Moderator
584 Views

Hi Mahesh,


Since you haven't responded to the given solution, we are closing this thread considering your issue got resolved.

We will no longer respond to this thread. If you require additional assistance from Intel, please start a new thread. Any further interaction in this thread will be considered community only


Regards

Prasanth


Reply